summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author dsomero2012-09-23 11:30:32 +0200
committer dsomero2012-09-25 06:10:58 +0200
commit61408d92f5a705dbf03a35216ec8fa700e921641 (patch)
tree2ecc5d5ef92ce8c8e095696b94b74cd637d72416 /libraries
parent2f2e1a4f7c5107944a0d3ec4c7dd1a5150f69cbc (diff)
downloadslackbuilds-61408d92f5a705dbf03a35216ec8fa700e921641.tar.gz
libraries/libapreq2: Build fix and clean up
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libapreq2/libapreq2.SlackBuild27
1 files changed, 10 insertions, 17 deletions
diff --git a/libraries/libapreq2/libapreq2.SlackBuild b/libraries/libapreq2/libapreq2.SlackBuild
index 5020e4b728..af4f7a6b50 100644
--- a/libraries/libapreq2/libapreq2.SlackBuild
+++ b/libraries/libapreq2/libapreq2.SlackBuild
@@ -6,15 +6,13 @@
PRGNAM=libapreq2
VERSION=${VERSION:-2.12}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -38,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -59,7 +57,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --with-apache2-apxs=/usr/sbin/apxs \
+ --with-apache2-apxs=/usr/bin/apxs \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -73,20 +71,15 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Remove perllocal.pod and other special files that don't need to be installed
-( cd $PKG
- find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
- find . -depth -type d -empty -delete
-)
-
-mv $PKG/usr/share/man $PKG/usr/
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \